SLABTOP(1)

NOME
slabtop - exibe informações de cache de slabs do kernel em tempo real

SINOPSE
slabtop [opções]

DESCRIÇÃO
slabtop exibe informações detalhadas do cache de slabs do kernel em tempo real. Ele exibe uma listagem dos caches superiores ordenados por um dos critérios de classificação listados. Ele também exibe um cabeçalho de estatísticas preenchido com informações da camada de slab.

OPÇÕES
Invocação normal do slabtop não exibe quaisquer opções. O comportamento, porém, pode ser ajustado especificando uma ou mais das seguintes opções:

-d, --delay=N
    Refresh the display every n in seconds. By default, slabtop refreshes the display every three seconds. To exit the program, hit q. This cannot be combined with the -o option.

-s, --sort=S
    Ordena por S, sendo S um dos critérios de ordem.

-o, --once
    Exige a saída uma vez e, então, sai.

-V, --version
    Exibe informação da versão e sai.

-h, --help
    Exibe informação de uso e sai.

CRITÉRIOS DE ORDENAÇÃO
Os seguintes são critérios de ordenação válidos utilizados para classificar os caches de slabs individuais e, assim, determinar quais são os primeiros caches de slabs para exibir. O critério de classificação padrão é classificar pelo número de objetos ("o").

Os critérios de ordenação também pode ser alterado enquanto o slabtop está sendo executado pressionando o caractere associado.
caractere | descrição | cabeçalho
a | número de objetos ativos | ATIVOS
b | objetos por slab | OBJ/SLAB
c | tamanho de cache | TAMANHO DE CACHE
l | número de slabs | SLABS
v | número de slabs ativos | N/D
n | nome | NOME
o | número de objetos | OBJS
p | páginas por slab | N/D
s | tamanho do objeto | TAM OBJ
u | utilização de cache | USO

COMANDOS
slabtop aceita comandos de teclado do usuário durante o uso. Os seguintes são suportados. No caso de letras, ambos os casos são aceitos.

Cada um dos caracteres de ordenação válidos também são aceitos, para alterar a rotina de ordenação. Veja a seção CRITÉRIOS DE ORDENAÇÃO.

<BARRA DE ESPAÇO>
    Atualiza a tela.

Q   Sai do programa.

ARQUIVOS

/proc/slabinfo
    Informações de slabs

VEJA TAMBÉM
free(1), ps(1), top(1), vmstat(8)

NOTAS
Atualmente, slabtop requer um kernel 2.4 ou posterior (especificamente, uma /proc/slabinfo com versão 1.1 ou posterior). Deve haver suporte ao kernel 2.2 no futuro.

The slabtop statistic header is tracking how many bytes of slabs are being used and is not a measure of physical memory. The 'Slab' field in the /proc/meminfo file is tracking information about used slab physical

AUTORES
Escrito porChris Rivera e Robert Love.

slabtop foi inspirado no script perl de Martin Bligh, vmtop.

RELATANDO ERROS
Por favor, envie relatórios de erros para procps@freelists.org